# Class CramConverter

java.lang.Object
htsjdk.samtools.cram.CramConverter

public class CramConverter extends Object
Simple command-line tool for converting between SAM/BAM/CRAM formats, primarily for experimenting with CRAM 3.1 compression profiles.

Usage:

      java -cp htsjdk.jar htsjdk.samtools.cram.CramConverter \
          input.bam output.cram --reference ref.fasta --profile archive

## Constructor Summary

Constructors
Constructor
Description
`CramConverter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Entry point.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CramConverter

public CramConverter()

## Method Details

### main

public static void main(String[] args)
Entry point. Parses command-line arguments and performs the conversion.

Parameters:
  `args` - command-line arguments (see USAGE for details)